Package org.springframework.security.authentication.password

# Class CompromisedPasswordException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.password.CompromisedPasswordException

All Implemented Interfaces:
  `Serializable`

public class CompromisedPasswordException extends AuthenticationException
Indicates that the provided password is compromised

Since:
  6.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CompromisedPasswordException(String message)`
`CompromisedPasswordException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompromisedPasswordException

public CompromisedPasswordException(String message)

### CompromisedPasswordException

public CompromisedPasswordException(String message, Throwable cause)